package media

import (
	"io"

	"git.icedream.tech/icedream/uplink/app/pubsub"
)

type DemuxedStream struct {
	StreamId  int
	Pts       int64
	CodecInfo StreamCodecInfo
	pubsub    *pubsub.PubSubWriter
}

func (stream *DemuxedStream) Sub() io.ReadCloser {
	return stream.pubsub.Sub()
}
