package streams

type MetadataStream struct {
	me   *MetadataExtractor
	data chan interface{}
}

func (ms *MetadataStream) Read() map[string]string {
	return (<-ms.data).(map[string]string)
}

func (ms *MetadataStream) Close() {
	ms.me.pubsub.Unsub(ms.data)
}
