package plugins

import (
	"git.icedream.tech/icedream/uplink/app/servers/http"
)

type PluginRunner func() PluginInstance

type PluginInstance interface {
}

type ServerPlugin interface {
	PluginInstance
	SetServer(*httpserver.Server)
}

type ChannelPlugin interface {
	PluginInstance
	SetChannel(id string)
}
